summaryrefslogtreecommitdiffstats
path: root/system/multitail
diff options
context:
space:
mode:
author Erik Hanson2010-05-13 00:41:04 +0200
committer David Somero2010-05-13 00:41:04 +0200
commit860c1ac6d2152925197e5c7c12d882c3baf82efe (patch)
tree59557ddcdc95075ef538521eb3a097449138f201 /system/multitail
parent0a1a1ca01566fb10d9068a7b2f1143a369ef7815 (diff)
downloadslackbuilds-860c1ac6d2152925197e5c7c12d882c3baf82efe.tar.gz
system/multitail: Updated for version 5.2.5
Diffstat (limited to 'system/multitail')
-rw-r--r--system/multitail/README11
-rw-r--r--system/multitail/multitail.SlackBuild33
-rw-r--r--system/multitail/multitail.info10
3 files changed, 33 insertions, 21 deletions
diff --git a/system/multitail/README b/system/multitail/README
index 301dd551d4..01f558bd9e 100644
--- a/system/multitail/README
+++ b/system/multitail/README
@@ -2,14 +2,3 @@ MultiTail lets you view one or multiple files like the original tail program.
The difference is that it creates multiple windows on your console (with
ncurses). It can also monitor wildcards: if another file matching the wildcard
has a more recent modification date, it will automatically switch to that file.
-
-That way you can, for example, monitor a complete directory of files. Merging
-of 2 or even more logfiles is possible. It can also use colors while displaying
-the logfiles (through regular expressions), for faster recognition
-of what is important and what not. It can also filter lines (again with regular
-expressions). It has interactive menus for editing given regular expressions
-and deleting and adding windows.
-
-One can also have windows with the output of shell scripts and other software.
-When viewing the output of external software, MultiTail can mimic the
-functionality of tools like 'watch' and such.
diff --git a/system/multitail/multitail.SlackBuild b/system/multitail/multitail.SlackBuild
index b55faa95e2..fd4cc621de 100644
--- a/system/multitail/multitail.SlackBuild
+++ b/system/multitail/multitail.SlackBuild
@@ -1,12 +1,29 @@
#!/bin/sh
-
+#
# Slackware build script for MultiTail
-# Written by Erik Hanson erik@slackbuilds.org
-
-set -eu
+#
+# Copyright 2009-2010 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=multitail
-VERSION=5.2.2
+VERSION=5.2.5
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -19,8 +36,12 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -eu
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -46,4 +67,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/multitail/multitail.info b/system/multitail/multitail.info
index 59f9afb68f..d4884d6779 100644
--- a/system/multitail/multitail.info
+++ b/system/multitail/multitail.info
@@ -1,8 +1,10 @@
PRGNAM="multitail"
-VERSION="5.2.2"
+VERSION="5.2.5"
HOMEPAGE="http://www.vanheusden.com/multitail/"
-DOWNLOAD="http://www.vanheusden.com/multitail/multitail-5.2.2.tgz"
-MD5SUM="ab2c198381e9ff6271ce56bdcb06f963"
+DOWNLOAD="http://www.vanheusden.com/multitail/multitail-5.2.5.tgz"
+MD5SUM="851faa92e989ceb61df2d2a76c12fbca"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Erik Hanson"
EMAIL="erik@slackbuilds.org"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero"